Last Comment Bug 706739 - Don't evaluate static blocklists and special cases during evaluation of downloaded blocklist
: Don't evaluate static blocklists and special cases during evaluation of downl...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla11
Assigned To: Doug Sherk (:drs) (inactive)
:
Mentors:
Depends on:
Blocks: 706702
  Show dependency treegraph
 
Reported: 2011-11-30 19:48 PST by Doug Sherk (:drs) (inactive)
Modified: 2012-03-08 15:13 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1.0, don't evaluate static blocklists and special cases during evaluation of dowloaded blocklist. (22.81 KB, patch)
2011-12-01 21:46 PST, Doug Sherk (:drs) (inactive)
joe: review+
Details | Diff | Splinter Review
Patch v1.1, don't evaluate static blocklists and special cases during evaluation of dowloaded blocklist. (13.66 KB, patch)
2011-12-07 15:04 PST, Doug Sherk (:drs) (inactive)
bugzilla: review+
Details | Diff | Splinter Review

Description Doug Sherk (:drs) (inactive) 2011-11-30 19:48:08 PST
bug 693813 fixed this issue previously, but I reintroduced this bug in 668004. Basically, we have to avoid evaluating any special cases or static blocklist entries when evaluating the downloaded blocklist. We don't want to pref things off if they're already compiled in as being blocked.
Comment 1 Doug Sherk (:drs) (inactive) 2011-12-01 21:46:11 PST
Created attachment 578497 [details] [diff] [review]
Patch v1.0, don't evaluate static blocklists and special cases during evaluation of dowloaded blocklist.

See bug description.
Comment 2 Doug Sherk (:drs) (inactive) 2011-12-01 21:48:54 PST
Try push: https://tbpl.mozilla.org/?tree=Try&rev=abe278c327db
Comment 3 Joe Drew (not getting mail) 2011-12-07 12:45:59 PST
Comment on attachment 578497 [details] [diff] [review]
Patch v1.0, don't evaluate static blocklists and special cases during evaluation of dowloaded blocklist.

Review of attachment 578497 [details] [diff] [review]:
-----------------------------------------------------------------

It'll need rebasing after making changes to dependent patches, but looks good.
Comment 4 Doug Sherk (:drs) (inactive) 2011-12-07 15:04:55 PST
Created attachment 579852 [details] [diff] [review]
Patch v1.1, don't evaluate static blocklists and special cases during evaluation of dowloaded blocklist.

Removed comments/old code, +r carried.
Comment 5 Doug Sherk (:drs) (inactive) 2011-12-14 23:55:47 PST
https://tbpl.mozilla.org/?rev=fe937bac6e75
Comment 6 Doug Sherk (:drs) (inactive) 2011-12-15 01:24:12 PST
https://hg.mozilla.org/mozilla-central/rev/49b8bec6d175
Comment 7 Benoit Jacob [:bjacob] (mostly away) 2012-03-08 15:13:09 PST
Backed out from beta only:
http://hg.mozilla.org/releases/mozilla-beta/rev/2fccf5e774a7
See bug 711656 for explanation.

Note You need to log in before you can comment on or make changes to this bug.